--- title: "Get bucket list" slug: "analytics-vpcsearchengine-snapshot-getbucketlist" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-snapshot-getbucketlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get bucket list Available in VPC Get the list of Object Storage buckets that can store search engine cluster snapshots. Note An API authentication key is required to access Object Storage. See the following for how to set up an API authentication key. - Set from NAVER Cloud Platform console: [Search Engine Service User Guide](https://guide.ncloud-docs.com/docs/en/ses-snapshot-vpc#api-%EC%9D%B8%EC%A6%9D%ED%82%A4-%EC%84%A4%EC%A0%95) - Set using API: [Check and create API authentication key](/docs/en/common-ncpapi) > [Set API authentication key](/docs/en/analytics-vpcsearchengine-snapshot-updateapiauthenticationkey) ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/snapshot/getBucketList/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/snapshot/getBucketList/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/snapshot/getBucketList/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/snapshot/getBucketList/1037*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.bucketList` | Array | - | Bucket list: [bucketList](/docs/en/analytics-vpcsearchengine-snapshot-getbucketlist#bucketList) | | `requestId` | String | - | ID for the request - UUID format | #### `bucketList` The following describes `bucketList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Bucket name | | `bytesUsed` | Integer | - | Bucket size | | `objectCount` | Integer | - | Number of objects | | `creationTime` | Integer | - | Bucket creation date and time - Unix timestamp format | | `bucketProtectionState` | String | - | Whether the bucket has security settings - `ENABLED` \| `DISABLED` - `ENABLED`: security enabled (snapshot storage unavailable) - `DISABLED`: security disabled (snapshot storage available) | | `permission` | String | - | Bucket access permission ownership - `Allow` \| `Deny` - `Allow`: access allowed - `Deny`: access unavailable | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "bucketList": [ { "name": "bk.lib", "bytesUsed": 40940, "objectCount": 15, "creationTime": 1742341291251, "bucketProtectionState": "DISABLED", "permission": "Allow" }, { "name": "bk.ses.snapshot", "bytesUsed": 512924, "objectCount": 108, "creationTime": 1742520149085, "bucketProtectionState": "DISABLED", "permission": "Allow" }, { "name": "bucket3", "bytesUsed": 68557, "objectCount": 9, "creationTime": 1742189392156, "bucketProtectionState": "DISABLED", "permission": "Allow" } ] }, "requestId": "b67c900f-****-****-****-6ba8f81cafe6" } ```